U++ - Feature #1771
Change Splitter to SplitterFrame for ide workspace (wesplit)
07/16/2017 05:19 PM - Zbigniew Rebacz

Status: Approved Start date: 07/16/2017
Priority: Normal Due date:

Assignee: Zbigniew Rebacz % Done: 0%
Category: IDE Estimated time: 0.00 hour
Target version: Release 2017.2 Spent time: 0.00 hour
Description

| posted the patch that shows how to do such improvement. The only problem with this patch is wrong serialization process that will wipe
out old configuration.

The main motivation of this change is to make splitter by fix size instead of aspect. It will help in multiple scaling scenarios like side by side
windows.

History

#1 - 07/26/2017 10:12 PM - Zbigniew Rebacz
- File wesplit2.diff added

#2 - 07/30/2017 10:28 PM - Zbigniew Rebacz
- Status changed from New to Patch ready

#3 - 08/08/2017 11:40 AM - Zbigniew Rebacz
- Tracker changed from Task to Feature
- Status changed from Patch ready to Ready for QA

#4 - 12/10/2017 02:17 AM - Zbigniew Rebacz
- Status changed from Ready for QA to Approved
- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

Files
WeSplit.patch 1.89 KB 07/16/2017 Zbigniew Rebacz
wesplit2.diff 2.04 KB 07/26/2017 Zbigniew Rebacz
